Gtk_Socket(3)

NAME - Gtk_Socket

HEADER REQUIRED
#include <gtk--/socket.h&gt;>

BASE CLASSES
Gtk_Container(3)

PROPERTIES

request_width
    Type: guint16

request_height
    Type: guint16

current_width
    Type: guint16

current_height
    Type: guint16

plug_window
    Type: GdkWindow*

same_app
    Type: guint:1

focus_in
    Type: guint:1

have_size
    Type: guint:1

need_map
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_Socket();
    Gtk_Socket(GtkSocket *castitem);
    void  steal(guint32 wid);
    GtkSocket*  gtkobj();
    const GtkSocket*  gtkobj() const;
    static bool  isGtkSocket(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkSocket  BaseObjectType;
    typedef GtkSocketClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  socket_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS